from apc_perf import ApcPerfdata
from mot import MotorData, op_full_pizda


at2826_900 = MotorData(
            mot_kv = 900,
            mot_ir = 0.035,
            mot_idle_i =2.5
        )

at2826_1100 = MotorData(
            mot_kv = 900,
            mot_ir = 0.11,
            mot_idle_i = 2.5
        )

rcf = MotorData(
            mot_kv = 1100,
            mot_ir = 0.02,
            mot_idle_i = 5
        )
m_at100c = MotorData(
        mot_kv = 90,
        mot_ir = 0.02,
        mot_idle_i=4,
        )

prop_12x6 = ApcPerfdata.from_file('data/PERFILES2/PER3_12x6E.dat')

# Tutaj symulacja
op_prop, op_mot = op_full_pizda(mot= at2826_900,
              prop= prop_12x6,
              speed= 10,
              volt= 14.6)

print(op_prop)
print(op_mot)
